QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Lab Testing
    v1.0.0

    Get lab testing order test results

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    orderIdstringpathYesLT order id

    Request Body

    Content-Type: application/json

    FieldTypeRequiredDescription
    Responses

    200
    Detailed test results and final report returned successfully.

    Content-Type: application/json

    generalInformation
    object
    FieldTypeDescription
    orderIdstringOrder ID
    qimaRefNostringLab order number
    bookingRefNostringProduct reference number
    testDatestringTest start date
    reportDatestringReport due date
    statusstringOrder status
    clientstringCompany name
    clientIdstringCompany ID
    supplierstringSupplier name
    supplierIdstringSupplier ID
    submitterstringSubmitter
    submitterIdstringSubmitter ID
    programstringProgram
    programIdstringProgram ID
    FieldTypeDescription
    modulestringModule
    labelstringLabel
    valuestringValue
    FieldTypeDescription
    reportNostringReport number
    reportIssueDatestringReport issue date
    testStartDatestringTest start date
    reportFilearrayReport file
    overallResultstringOverall result
    poNostringPO number
    yourDecisionstringYour decision
    testDetailarrayTest detail
    testDetail[].testIdstringTest id
    testDetail[].clientTestIdstringTest id in client system
    testDetail[].testNamestringTest name
    testDetail[].testResultstringTest result
    FieldTypeDescription
    labelstringLabel
    subLabelstringSub label
    fileNamestringFile name
    descriptionstringDescription
    urlstringUrl
    createdDatestringCreated date
    GET
    /v1.2/lt/order-results/{orderId}
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "generalInformation": { "orderId": "string", "qimaRefNo": "string", "bookingRefNo": "string", "testDate": "string", "reportDate": "string", "status": "string", "client": "string", "clientId": "string", "supplier": "string", "supplierId": "string", "submitter": "string", "submitterId": "string", "program": "string", "programId": "string" }, "customFields": [ { "module": "string", "label": "string", "value": "string" } ], "finalReport": { "reportNo": "string", "reportIssueDate": "string", "testStartDate": "string", "reportFile": [ "string" ], "overallResult": "string", "poNo": "string", "yourDecision": "string", "testDetail": [ { "testId": "string", "clientTestId": "string", "testName": "string", "testResult": "string" } ] }, "attachments": [ { "label": "string", "subLabel": "string", "fileName": "string", "description": "string", "url": "string", "createdDate": "string" } ] }